import { FastifyPlugin } from 'fastify';
import { CronJob, CronJobParameters } from 'cron';
export declare type Job = CronJob & {
    readonly name?: string;
};
declare module 'fastify' {
    interface FastifyInstance {
        cron: CronDecorator;
    }
}
export declare type Params = Omit<CronJobParameters, 'onTick' | 'onComplete'> & {
    onTick<S>(server: S): void;
    onComplete?<S>(server: S): void;
    startWhenReady?: boolean;
    name?: string;
};
export interface CronDecorator {
    readonly jobs: Job[];
    createJob(params: Params): Job;
    getJobByName(name: string): Job | undefined;
    startAllJobs(): void;
    stopAllJobs(): void;
}
export interface Config {
    jobs?: Params[];
}
declare const _default: FastifyPlugin<Config>;
export default _default;
